Skip to main content
`Ctrl`+`K`

# DMNetworkRegisterComponent

Registers the network component

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkRegisterComponent(DM dm, const char *name, size_t size, PetscInt *key)

Logically Collective

## Input Parameters

- dm - the `DMNETWORK` object

- name - the component name

- size - the storage size in bytes for this component data

## Output Parameter

- key - an integer key that defines the component

## Note

This routine should be called by all processors before calling `DMNetworkLayoutSetup()`.

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkLayoutSetUp()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages